Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Project APIs

Adding Google Cloud Projects

search

Please Note:

Adding Google Cloud Projects

Use the post /v1/cckm/gcp/projects API to add Google Cloud projects to the linked Google Cloud account.

Syntax

curl -k '<IP>/api/v1/cckm/gcp/projects' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "projects": [\n    {\n      "project_id": "<project1_id>"\n    }, {\n      "project_id": "<project2_id>"\n    }\n  ]\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
projects array of strings List of projects to be added. Specify project_id of the desired projects.
project_id string ID of the Google Cloud project.

Example Request

curl -k 'https://127.0.0.1/api/api/v1/cckm/gcp/projects' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImY5ZWJkNTY5LWZjYjEtNGM4Ny1iZTljLWViNDM0MjFiMTkzZCIsImlhdCI6MTYyMDE5NTkwNCwiZXhwIjoxNjIwMTk2MjA0fQ.CjaIMoBp7nAZAM9Psm59tLGmX4iZDIfRxPp_5ahGnRc' -H 'Content-Type: application/json' --data-binary $'{\n  "projects": [\n    {\n      "project_id": "84547ed8-6663-40d3-b1b4-0d985965c5a5"\n    }\n  ]\n}' --compressed

Example Response

{
    "id": "84547ed8-6663-40d3-b1b4-0d985965c5a5",
    "uri": "kylo:kylo:cckm:gcp-project:84547ed8-6663-40d3-b1b4-0d985965c5a5",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-05-05T06:19:44.594083Z",
    "updatedAt": "2021-05-05T06:19:44.591111Z",
    "create_time": "2018-03-19T17:42:03.596Z",
    "lifecycle_state": "ACTIVE",
    "display_name": "Gemalto-kyloeng",
    "name": "projects/gemalto-kyloeng",
    "parent_id": "1035780943344",
    "parent_type": "folder",
    "project_id": "gemalto-kyloeng",
    "project_number": "44178215785",
    "connection": "gcp-connection",
    "cloud_name": "gcp",
    "organization_name": "organizations/358925527497",
    "organization_display_name": "358925527497"
}

The output shows that a new Google Cloud project with the specified ID is added to the CipherTrust Manager.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.